Author Topic: Why getLatest fails to run on a few packages  (Read 99 times)

JiriK

  • EA Novice
  • *
  • Posts: 4
  • Karma: +0/-0
    • View Profile
Why getLatest fails to run on a few packages
« on: October 18, 2017, 07:49:12 pm »
Hello,

I’d like to kindly ask you for any recommendation or advise to help us how we can solve following problem we are recently facing:
We have quite large EAP file (about 270MB – when compacted) and there are a few packages on which we can’t run getLatest. It fails always with this error message: DAO.QueryDef [3035] System resource exceeded
On any other package seems to be working fine so far (update) – albeit it’s quite slow. Does anybody have an idea what may cause this problem?

Information about our model:
EAP file (about 270MB – when compacted). We use SVN versioning. Every package is versioned in its own xml file

What I’ve tried:
Tweaking the Jet4 registry values
Every option from “Manage EAP file” submenu
Checked the associated XMI file – its size seems normal

Geert Bellekens

  • EA Guru
  • *****
  • Posts: 7671
  • Karma: +156/-21
  • Make EA work for YOU!
    • View Profile
    • Enterprise Architect Consultant and Value Added Reseller
Re: Why getLatest fails to run on a few packages
« Reply #1 on: October 18, 2017, 07:59:27 pm »
Try contacting Sparx support

JiriK

  • EA Novice
  • *
  • Posts: 4
  • Karma: +0/-0
    • View Profile
Re: Why getLatest fails to run on a few packages
« Reply #2 on: October 18, 2017, 09:54:14 pm »
Ok, I will try